summaryrefslogtreecommitdiffstats
path: root/system/osquery-bin/osquery-bin.SlackBuild
diff options
context:
space:
mode:
author Andrew Clemons2023-08-26 10:59:49 +0200
committer Willy Sudiarto Raharjo2023-08-26 14:07:04 +0200
commitff572ff2fcb99b4ed3724b6c9efd8251ecdd3ea9 (patch)
treef5bdae5f237110572495202e16883d8ed94fe282 /system/osquery-bin/osquery-bin.SlackBuild
parent66810cdacd2fae5854d7602b9b309a7cd2bcc303 (diff)
downloadslackbuilds-ff572ff2fcb99b4ed3724b6c9efd8251ecdd3ea9.tar.gz
system/osquery-bin: Updated for version 5.9.1.
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/osquery-bin/osquery-bin.SlackBuild')
-rw-r--r--system/osquery-bin/osquery-bin.SlackBuild21
1 files changed, 6 insertions, 15 deletions
diff --git a/system/osquery-bin/osquery-bin.SlackBuild b/system/osquery-bin/osquery-bin.SlackBuild
index 47cd6a521c..c9de0e0565 100644
--- a/system/osquery-bin/osquery-bin.SlackBuild
+++ b/system/osquery-bin/osquery-bin.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=osquery-bin
SRCNAM=${PRGNAM%-bin}
-VERSION=${VERSION:-5.8.2}
+VERSION=${VERSION:-5.9.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -50,20 +50,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ] || [ "$ARCH" = "aarch64" ] ; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
set -e
rm -rf $PKG
@@ -86,6 +72,11 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+if [ "$ARCH" = "aarch64" ] ; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs patchelf --set-interpreter /lib64/ld-linux-aarch64.so.1 2> /dev/null || true
+fi
+
mkdir etc/rc.d
mv etc/init.d/osqueryd etc/rc.d/rc.osqueryd.new
rm -rf etc/init.d